function onBegin()
  disableMovement()
  say("UltrabarkzEsoterica_FakeIntro5")
  walk(10)
  wait(0.5)
  say("UltrabarkzEsoterica_FakeIntro6")
  setFlag("FadeAway", true)
  wait(0.5)
end

function onEnd()
  enableMovement()
  setFlag("FadeAway", false)
  setFlag("IntroTeleFlag", true)
end